Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List external event mappings

GET/workspaces/{organizationId}/external-event-mappings
Path parameters
organizationIdstringrequired
Query parameters
sourcestring
Responses
200

External event mapping list

mappingsExternalEventMapping[]required
Show properties
Array of ExternalEventMapping
idstringrequired
organizationIdstringrequired
sourcestringrequired
eventTypestringrequired
entityTypestringrequired
Allowed:issuedealcustomer
matchPathstringrequired
stepKeystringrequired
enabledbooleanrequired
createdBystring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Request
curl -X GET '/workspaces/string/external-event-mappings' \
  -H 'Accept: application/json'
Response
{
  "mappings": [
    {
      "id": "string",
      "organizationId": "string",
      "source": "string",
      "eventType": "string",
      "entityType": "issue",
      "matchPath": "string",
      "stepKey": "string",
      "enabled": true,
      "createdBy": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?